import ExplorationEvaluation from "../domain/ExplorationEvaluation";
import Comment from "../domain/Comment";
import State from "../domain/State";
import Question from "../../background/domain/Question";
import Action from "../domain/Action";

export default interface Interface4ViewManager {

    getState() : Promise<State>;

    getCommentList() : Promise<Comment[]>;

    getActionList() : Action[];

    commentConfirmed(comment: Comment): Promise<void>;

    setUserViewPosition(newPosition : {x : number, y: number}): void;

    getExplorationEvaluation(): Promise<ExplorationEvaluation | null>;

    pushAnswer(question: Question, value: boolean): void;

  }